Skip to main content

GET/order_earnings/{order_id}

This method returns detailed order-level financial data including order earnings, gross amount, expenses, and refunds. Order earnings includes earnings after deducting expenses and refunds from the gross amount.

Note: Expenses include fees, shipping labels, and donations. Refunds include gross refunds, gross claims, and gross payment disputes.

Note: Only charges and credits tied to the order are shown, and they appear in near real time for orders created within the selected order creation time window.

The response returns earnings information only for the order identified by the order_id path parameter.

Note: Access to the order_earnings resource is currently limited to only US, China, or Hong Kong sellers who meet the following criteria and also request access:

- US sellers with the country of residence set to US and having a payout currency in USD.

- Hong Kong or China sellers having the country of residence set to HK or CN and the payout currency set to USD have access.

To request access, submit an application growth check to have the required OAuth scope added to your app. After submission, you can use the same growth check link to track the status of the request.

eBay plans on expanding this to other markets in the future.


Important! Due to EU & UK Payments regulatory requirements, an additional security verification via Digital Signatures is required for certain API calls that are made on behalf of EU/UK sellers, including all Finances API methods. Please refer to Digital Signatures for APIs to learn more on the impacted APIs and the process to create signatures to be included in the HTTP payload.


Note: The Finances API does not support Team Access. Financial information, such as payouts or transactions, is only returned for the user that makes the call. You cannot use any of the methods in this API to return financial information for another user.

Input

Resource URI

Note: When using the Sandbox environment, only a static sample response is returned.

GET https://apiz.ebay.com/sell/finances/v1/order_earnings/{order_id}

This method is supported in Sandbox environment. To access the endpoint, just replace the apiz.ebay.com root URI with apiz.sandbox.ebay.com

URI parameters

ParameterTypeDescription
order_idstringThis path parameter identifies the specific order for which earnings information is requested.

Occurrence: Required

HTTP request headers

All requests made to eBay REST operations require you to provide the Authorization HTTP header for authentication authorization.

The table below shows additional HTTP request headers that are either required, conditionally required, or strongly recommended for this method. Other standard HTTP request headers- opens rest request components page (not in this table) can also be used, but they are optional.

HeaderTypeDescription
X-EBAY-C-MARKETPLACE-IDstringThis header identifies the seller's eBay marketplace.

See HTTP request headers for the marketplace ID values.

Note: If a marketplace ID value is not provided, the default value of EBAY_US is used.

Occurrence: Required

OAuth scope

This request requires an access token created with the authorization code grant flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

https://api.ebay.com/oauth/api_scope/sell.finances.earnings.read

See OAuth access tokens for more information.

Request payload

This call has no payload.

Request fields

This call has no field definitions.

Output

HTTP response headers

This call has no response headers.

Response payload

{ /* OrderEarning */
"buyer" :
{ /* BuyerWithId */
"userId" : "string",
},
"orderEarningsSummary" :
{ /* EarningsSummary */ },
}

Response fields

Output container/fieldTypeDescription
buyerBuyerWithId

Information about the buyer associated with the order. Includes buyer name and public user id.

Occurrence: Conditional

buyer.userIdstring

The public user id of the buyer

Occurrence: Conditional

buyer.usernamestring

The username of the buyer.

Note: Effective September 26, 2025, select developers will no longer receive username data for U.S. users through this field. Instead, an immutable user ID will be returned in its place. For more information, please refer to Data Handling Compliance.

Occurrence: Conditional

orderCreationDatestring

The date the order was created and payment was successful.

Occurrence: Always

orderEarningsSummaryEarningsSummary

This container defines a summarized view of earnings information derived from one order. It provides aggregated financial values for order earnings, gross amount, expenses, and refunds. Order earnings includes earnings after deducting expenses and refunds from the gross amount.

Occurrence: Always

orderEarningsSummary.expensesExpense

This container provides the total expenses associated with an order, including:

  • Fees and fee credits (transaction fees, other fees, and ad fees)
  • Shipping labels
  • Donations
It is used by both the getOrderEarnings and getOrderEarningsById methods.

Note: Expenses are always in the seller's payout currency. Conversion-related fields (such as exchangeRate or converted from/to fields) in this container do not apply to the order_earnings resource.

Occurrence: Conditional

orderEarningsSummary.expenses.currencyCurrencyCodeEnum

This field shows the three-letter currency code that represents the currency used for all of the order expenses

Occurrence: Conditional

orderEarningsSummary.expenses.donationsarray of OrderEarningFee

This array shows the amount(s) of one or more donations that are submitted to eBay charity organizations for one or more orders.

Note: Donations are always tied to specific items. When an item is listed with a charity contribution (for example, 10%), the donation is calculated per item at the time of sale. Order earnings factor in only the items within the order that are eligible for donation.

Occurrence: Conditional

orderEarningsSummary.expenses.donations.amountAmount

The monetary amount of the expense.

Occurrence: Conditional

orderEarningsSummary.expenses.donations.amount.convertedFromCurrencyCurrencyCodeEnum

The three-letter ISO 4217 code representing the currency of the amount in the convertedFromValue field. This value is the pre-conversion currency.

This field is only returned if/when currency conversion was applied by eBay.

Occurrence: Conditional

orderEarningsSummary.expenses.donations.amount.convertedFromValuestring

The monetary amount before any conversion is performed, in the currency specified by the convertedFromCurrency field. This value is the pre-conversion amount. The value field contains the converted amount of this value, in the currency specified by the currency field.

This field is only returned if/when currency conversion was applied by eBay.

Occurrence: Conditional

orderEarningsSummary.expenses.donations.amount.convertedToCurrencyCurrencyCodeEnum

Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response can only have a value of CNY.
The three-letter ISO 4217 code representing the currency of the amount in the convertedToValue field.

This field is only returned for payouts to bank accounts when currency conversion was applied by eBay.

Occurrence: Conditional

orderEarningsSummary.expenses.donations.amount.convertedToValuestring

Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response only returns value in CNY.The monetary value after any conversion is performed, in the currency specified by the convertedToCurrency field. This value is the converted amount.

The field is only returned for payouts to bank accounts when currency conversion was applied by eBay.

Occurrence: Conditional

orderEarningsSummary.expenses.donations.amount.currencyCurrencyCodeEnum

A three-letter ISO 4217 code that indicates the currency of the amount in the value field. This field is always returned with any container using Amount type.

Default: The currency of the authenticated user's country.

Occurrence: Always

orderEarningsSummary.expenses.donations.amount.exchangeRatestring

The exchange rate used for the monetary conversion. This field shows the exchange rate used to convert the dollar value in the value field from the dollar value in the convertedFromValue field.

For sellers in mainland China, this field shows the exchange rate to convert the dollar value in the value field to the CNY value in the convertedToValue field.

This field is only returned when eBay does a currency version, and a currency conversion is generally needed if the buyer is viewing, or has purchased an item on an international site.

This field is only returned if/when currency conversion was applied by eBay.

Occurrence: Conditional

orderEarningsSummary.expenses.donations.amount.valuestring

The monetary amount, in the currency specified by the currency field. This field is always returned with any container using Amount type.

Occurrence: Always

orderEarningsSummary.expenses.donations.feeTypeFeeTypeEnum

The classification of the fee applied to the order.

Occurrence: Conditional

orderEarningsSummary.expenses.marketplaceFeesarray of OrderEarningFee

This array shows the type and amount(s) of marketplace fees that were charged against one or more orders.

Occurrence: Conditional

orderEarningsSummary.expenses.marketplaceFees.amountAmount

The monetary amount of the expense.

Occurrence: Conditional

orderEarningsSummary.expenses.marketplaceFees.amount.convertedFromCurrencyCurrencyCodeEnum

The three-letter ISO 4217 code representing the currency of the amount in the convertedFromValue field. This value is the pre-conversion currency.

This field is only returned if/when currency conversion was applied by eBay.

Occurrence: Conditional

orderEarningsSummary.expenses.marketplaceFees.amount.convertedFromValuestring

The monetary amount before any conversion is performed, in the currency specified by the convertedFromCurrency field. This value is the pre-conversion amount. The value field contains the converted amount of this value, in the currency specified by the currency field.

This field is only returned if/when currency conversion was applied by eBay.

Occurrence: Conditional

orderEarningsSummary.expenses.marketplaceFees.amount.convertedToCurrencyCurrencyCodeEnum

Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response can only have a value of CNY.
The three-letter ISO 4217 code representing the currency of the amount in the convertedToValue field.

This field is only returned for payouts to bank accounts when currency conversion was applied by eBay.

Occurrence: Conditional

orderEarningsSummary.expenses.marketplaceFees.amount.convertedToValuestring

Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response only returns value in CNY.The monetary value after any conversion is performed, in the currency specified by the convertedToCurrency field. This value is the converted amount.

The field is only returned for payouts to bank accounts when currency conversion was applied by eBay.

Occurrence: Conditional

orderEarningsSummary.expenses.marketplaceFees.amount.currencyCurrencyCodeEnum

A three-letter ISO 4217 code that indicates the currency of the amount in the value field. This field is always returned with any container using Amount type.

Default: The currency of the authenticated user's country.

Occurrence: Always

orderEarningsSummary.expenses.marketplaceFees.amount.exchangeRatestring

The exchange rate used for the monetary conversion. This field shows the exchange rate used to convert the dollar value in the value field from the dollar value in the convertedFromValue field.

For sellers in mainland China, this field shows the exchange rate to convert the dollar value in the value field to the CNY value in the convertedToValue field.

This field is only returned when eBay does a currency version, and a currency conversion is generally needed if the buyer is viewing, or has purchased an item on an international site.

This field is only returned if/when currency conversion was applied by eBay.

Occurrence: Conditional

orderEarningsSummary.expenses.marketplaceFees.amount.valuestring

The monetary amount, in the currency specified by the currency field. This field is always returned with any container using Amount type.

Occurrence: Always

orderEarningsSummary.expenses.marketplaceFees.feeTypeFeeTypeEnum

The classification of the fee applied to the order.

Occurrence: Conditional

orderEarningsSummary.expenses.shippingLabelsAmount

This container shows the total amount paid by the seller for eBay shipping labels for one or more orders.

Note: Charges and credits for shipping labels purchased with non-eBay payment methods (for example, PayPal) are excluded from the order earnings calculation.

Occurrence: Conditional

orderEarningsSummary.expenses.shippingLabels.convertedFromCurrencyCurrencyCodeEnum

The three-letter ISO 4217 code representing the currency of the amount in the convertedFromValue field. This value is the pre-conversion currency.

This field is only returned if/when currency conversion was applied by eBay.

Occurrence: Conditional

orderEarningsSummary.expenses.shippingLabels.convertedFromValuestring

The monetary amount before any conversion is performed, in the currency specified by the convertedFromCurrency field. This value is the pre-conversion amount. The value field contains the converted amount of this value, in the currency specified by the currency field.

This field is only returned if/when currency conversion was applied by eBay.

Occurrence: Conditional

orderEarningsSummary.expenses.shippingLabels.convertedToCurrencyCurrencyCodeEnum

Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response can only have a value of CNY.
The three-letter ISO 4217 code representing the currency of the amount in the convertedToValue field.

This field is only returned for payouts to bank accounts when currency conversion was applied by eBay.

Occurrence: Conditional

orderEarningsSummary.expenses.shippingLabels.convertedToValuestring

Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response only returns value in CNY.The monetary value after any conversion is performed, in the currency specified by the convertedToCurrency field. This value is the converted amount.

The field is only returned for payouts to bank accounts when currency conversion was applied by eBay.

Occurrence: Conditional

orderEarningsSummary.expenses.shippingLabels.currencyCurrencyCodeEnum

A three-letter ISO 4217 code that indicates the currency of the amount in the value field. This field is always returned with any container using Amount type.

Default: The currency of the authenticated user's country.

Occurrence: Always

orderEarningsSummary.expenses.shippingLabels.exchangeRatestring

The exchange rate used for the monetary conversion. This field shows the exchange rate used to convert the dollar value in the value field from the dollar value in the convertedFromValue field.

For sellers in mainland China, this field shows the exchange rate to convert the dollar value in the value field to the CNY value in the convertedToValue field.

This field is only returned when eBay does a currency version, and a currency conversion is generally needed if the buyer is viewing, or has purchased an item on an international site.

This field is only returned if/when currency conversion was applied by eBay.

Occurrence: Conditional

orderEarningsSummary.expenses.shippingLabels.valuestring

The monetary amount, in the currency specified by the currency field. This field is always returned with any container using Amount type.

Occurrence: Always

orderEarningsSummary.expenses.valuestring

This field shows the total expenses including charges and credits associated for one or more orders based on the order creation time period chosen.

Occurrence: Conditional

orderEarningsSummary.grossAmountAmount

This container shows the gross amount before any eBay deductions. This amount includes the item subtotal, buyer-paid shipping and handling, and seller-collected tax paid by the buyer.

Note: This amount does not include any taxes or fees that eBay collects from the buyer.

Note: Gross amount is always in the seller's payout currency. Conversion-related fields (such as exchangeRate or converted from/to fields) in this container do not apply to the order_earnings resource.

Occurrence: Always

orderEarningsSummary.grossAmount.convertedFromCurrencyCurrencyCodeEnum

The three-letter ISO 4217 code representing the currency of the amount in the convertedFromValue field. This value is the pre-conversion currency.

This field is only returned if/when currency conversion was applied by eBay.

Occurrence: Conditional

orderEarningsSummary.grossAmount.convertedFromValuestring

The monetary amount before any conversion is performed, in the currency specified by the convertedFromCurrency field. This value is the pre-conversion amount. The value field contains the converted amount of this value, in the currency specified by the currency field.

This field is only returned if/when currency conversion was applied by eBay.

Occurrence: Conditional

orderEarningsSummary.grossAmount.convertedToCurrencyCurrencyCodeEnum

Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response can only have a value of CNY.
The three-letter ISO 4217 code representing the currency of the amount in the convertedToValue field.

This field is only returned for payouts to bank accounts when currency conversion was applied by eBay.

Occurrence: Conditional

orderEarningsSummary.grossAmount.convertedToValuestring

Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response only returns value in CNY.The monetary value after any conversion is performed, in the currency specified by the convertedToCurrency field. This value is the converted amount.

The field is only returned for payouts to bank accounts when currency conversion was applied by eBay.

Occurrence: Conditional

orderEarningsSummary.grossAmount.currencyCurrencyCodeEnum

A three-letter ISO 4217 code that indicates the currency of the amount in the value field. This field is always returned with any container using Amount type.

Default: The currency of the authenticated user's country.

Occurrence: Always

orderEarningsSummary.grossAmount.exchangeRatestring

The exchange rate used for the monetary conversion. This field shows the exchange rate used to convert the dollar value in the value field from the dollar value in the convertedFromValue field.

For sellers in mainland China, this field shows the exchange rate to convert the dollar value in the value field to the CNY value in the convertedToValue field.

This field is only returned when eBay does a currency version, and a currency conversion is generally needed if the buyer is viewing, or has purchased an item on an international site.

This field is only returned if/when currency conversion was applied by eBay.

Occurrence: Conditional

orderEarningsSummary.grossAmount.valuestring

The monetary amount, in the currency specified by the currency field. This field is always returned with any container using Amount type.

Occurrence: Always

orderEarningsSummary.orderEarningsAmount

This container shows your earnings after deducting expenses and any refunds from your gross amount.

Note: Order earnings are always in the seller's payout currency. Conversion-related fields (such as exchangeRate or converted from/to fields) in this container do not apply to the order_earnings resource.

Occurrence: Always

orderEarningsSummary.orderEarnings.convertedFromCurrencyCurrencyCodeEnum

The three-letter ISO 4217 code representing the currency of the amount in the convertedFromValue field. This value is the pre-conversion currency.

This field is only returned if/when currency conversion was applied by eBay.

Occurrence: Conditional

orderEarningsSummary.orderEarnings.convertedFromValuestring

The monetary amount before any conversion is performed, in the currency specified by the convertedFromCurrency field. This value is the pre-conversion amount. The value field contains the converted amount of this value, in the currency specified by the currency field.

This field is only returned if/when currency conversion was applied by eBay.

Occurrence: Conditional

orderEarningsSummary.orderEarnings.convertedToCurrencyCurrencyCodeEnum

Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response can only have a value of CNY.
The three-letter ISO 4217 code representing the currency of the amount in the convertedToValue field.

This field is only returned for payouts to bank accounts when currency conversion was applied by eBay.

Occurrence: Conditional

orderEarningsSummary.orderEarnings.convertedToValuestring

Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response only returns value in CNY.The monetary value after any conversion is performed, in the currency specified by the convertedToCurrency field. This value is the converted amount.

The field is only returned for payouts to bank accounts when currency conversion was applied by eBay.

Occurrence: Conditional

orderEarningsSummary.orderEarnings.currencyCurrencyCodeEnum

A three-letter ISO 4217 code that indicates the currency of the amount in the value field. This field is always returned with any container using Amount type.

Default: The currency of the authenticated user's country.

Occurrence: Always

orderEarningsSummary.orderEarnings.exchangeRatestring

The exchange rate used for the monetary conversion. This field shows the exchange rate used to convert the dollar value in the value field from the dollar value in the convertedFromValue field.

For sellers in mainland China, this field shows the exchange rate to convert the dollar value in the value field to the CNY value in the convertedToValue field.

This field is only returned when eBay does a currency version, and a currency conversion is generally needed if the buyer is viewing, or has purchased an item on an international site.

This field is only returned if/when currency conversion was applied by eBay.

Occurrence: Conditional

orderEarningsSummary.orderEarnings.valuestring

The monetary amount, in the currency specified by the currency field. This field is always returned with any container using Amount type.

Occurrence: Always

orderEarningsSummary.refundsAmount

This container includes refunds for returns, cases, cancellations, requests, and disputes. It does not include fee credits.

Note: Refunds are always in the seller's payout currency. Conversion-related fields (such as exchangeRate or converted from/to fields) in this container do not apply to the order_earnings resource.

Occurrence: Conditional

orderEarningsSummary.refunds.convertedFromCurrencyCurrencyCodeEnum

The three-letter ISO 4217 code representing the currency of the amount in the convertedFromValue field. This value is the pre-conversion currency.

This field is only returned if/when currency conversion was applied by eBay.

Occurrence: Conditional

orderEarningsSummary.refunds.convertedFromValuestring

The monetary amount before any conversion is performed, in the currency specified by the convertedFromCurrency field. This value is the pre-conversion amount. The value field contains the converted amount of this value, in the currency specified by the currency field.

This field is only returned if/when currency conversion was applied by eBay.

Occurrence: Conditional

orderEarningsSummary.refunds.convertedToCurrencyCurrencyCodeEnum

Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response can only have a value of CNY.
The three-letter ISO 4217 code representing the currency of the amount in the convertedToValue field.

This field is only returned for payouts to bank accounts when currency conversion was applied by eBay.

Occurrence: Conditional

orderEarningsSummary.refunds.convertedToValuestring

Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response only returns value in CNY.The monetary value after any conversion is performed, in the currency specified by the convertedToCurrency field. This value is the converted amount.

The field is only returned for payouts to bank accounts when currency conversion was applied by eBay.

Occurrence: Conditional

orderEarningsSummary.refunds.currencyCurrencyCodeEnum

A three-letter ISO 4217 code that indicates the currency of the amount in the value field. This field is always returned with any container using Amount type.

Default: The currency of the authenticated user's country.

Occurrence: Always

orderEarningsSummary.refunds.exchangeRatestring

The exchange rate used for the monetary conversion. This field shows the exchange rate used to convert the dollar value in the value field from the dollar value in the convertedFromValue field.

For sellers in mainland China, this field shows the exchange rate to convert the dollar value in the value field to the CNY value in the convertedToValue field.

This field is only returned when eBay does a currency version, and a currency conversion is generally needed if the buyer is viewing, or has purchased an item on an international site.

This field is only returned if/when currency conversion was applied by eBay.

Occurrence: Conditional

orderEarningsSummary.refunds.valuestring

The monetary amount, in the currency specified by the currency field. This field is always returned with any container using Amount type.

Occurrence: Always

orderIdstring

The unique identifier of the order.

Occurrence: Conditional

orderLastModifiedDatestring

The date when the order was last modified.

Occurrence: Conditional

orderSummaryOrderSummary

The container for order cost details, including line item subtotal, shipping and handling, seller-collected taxes, and any seller applied discounts. Always provided in the listing currency.

Occurrence: Conditional

orderSummary.discountsAmount

The total amount of item-level promotions or discounts offered by the seller for a sale (order).

Occurrence: Conditional

orderSummary.discounts.convertedFromCurrencyCurrencyCodeEnum

The three-letter ISO 4217 code representing the currency of the amount in the convertedFromValue field. This value is the pre-conversion currency.

This field is only returned if/when currency conversion was applied by eBay.

Occurrence: Conditional

orderSummary.discounts.convertedFromValuestring

The monetary amount before any conversion is performed, in the currency specified by the convertedFromCurrency field. This value is the pre-conversion amount. The value field contains the converted amount of this value, in the currency specified by the currency field.

This field is only returned if/when currency conversion was applied by eBay.

Occurrence: Conditional

orderSummary.discounts.convertedToCurrencyCurrencyCodeEnum

Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response can only have a value of CNY.
The three-letter ISO 4217 code representing the currency of the amount in the convertedToValue field.

This field is only returned for payouts to bank accounts when currency conversion was applied by eBay.

Occurrence: Conditional

orderSummary.discounts.convertedToValuestring

Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response only returns value in CNY.The monetary value after any conversion is performed, in the currency specified by the convertedToCurrency field. This value is the converted amount.

The field is only returned for payouts to bank accounts when currency conversion was applied by eBay.

Occurrence: Conditional

orderSummary.discounts.currencyCurrencyCodeEnum

A three-letter ISO 4217 code that indicates the currency of the amount in the value field. This field is always returned with any container using Amount type.

Default: The currency of the authenticated user's country.

Occurrence: Always

orderSummary.discounts.exchangeRatestring

The exchange rate used for the monetary conversion. This field shows the exchange rate used to convert the dollar value in the value field from the dollar value in the convertedFromValue field.

For sellers in mainland China, this field shows the exchange rate to convert the dollar value in the value field to the CNY value in the convertedToValue field.

This field is only returned when eBay does a currency version, and a currency conversion is generally needed if the buyer is viewing, or has purchased an item on an international site.

This field is only returned if/when currency conversion was applied by eBay.

Occurrence: Conditional

orderSummary.discounts.valuestring

The monetary amount, in the currency specified by the currency field. This field is always returned with any container using Amount type.

Occurrence: Always

orderSummary.itemSubtotalAmount

The sum of the listing price(s) for all items in the order, before applying any seller discounts.

Occurrence: Conditional

orderSummary.itemSubtotal.convertedFromCurrencyCurrencyCodeEnum

The three-letter ISO 4217 code representing the currency of the amount in the convertedFromValue field. This value is the pre-conversion currency.

This field is only returned if/when currency conversion was applied by eBay.

Occurrence: Conditional

orderSummary.itemSubtotal.convertedFromValuestring

The monetary amount before any conversion is performed, in the currency specified by the convertedFromCurrency field. This value is the pre-conversion amount. The value field contains the converted amount of this value, in the currency specified by the currency field.

This field is only returned if/when currency conversion was applied by eBay.

Occurrence: Conditional

orderSummary.itemSubtotal.convertedToCurrencyCurrencyCodeEnum

Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response can only have a value of CNY.
The three-letter ISO 4217 code representing the currency of the amount in the convertedToValue field.

This field is only returned for payouts to bank accounts when currency conversion was applied by eBay.

Occurrence: Conditional

orderSummary.itemSubtotal.convertedToValuestring

Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response only returns value in CNY.The monetary value after any conversion is performed, in the currency specified by the convertedToCurrency field. This value is the converted amount.

The field is only returned for payouts to bank accounts when currency conversion was applied by eBay.

Occurrence: Conditional

orderSummary.itemSubtotal.currencyCurrencyCodeEnum

A three-letter ISO 4217 code that indicates the currency of the amount in the value field. This field is always returned with any container using Amount type.

Default: The currency of the authenticated user's country.

Occurrence: Always

orderSummary.itemSubtotal.exchangeRatestring

The exchange rate used for the monetary conversion. This field shows the exchange rate used to convert the dollar value in the value field from the dollar value in the convertedFromValue field.

For sellers in mainland China, this field shows the exchange rate to convert the dollar value in the value field to the CNY value in the convertedToValue field.

This field is only returned when eBay does a currency version, and a currency conversion is generally needed if the buyer is viewing, or has purchased an item on an international site.

This field is only returned if/when currency conversion was applied by eBay.

Occurrence: Conditional

orderSummary.itemSubtotal.valuestring

The monetary amount, in the currency specified by the currency field. This field is always returned with any container using Amount type.

Occurrence: Always

orderSummary.sellerCollectedTaxesAmount

The total amount of tax collected by the seller on all sold items for the order.

Occurrence: Conditional

orderSummary.sellerCollectedTaxes.convertedFromCurrencyCurrencyCodeEnum

The three-letter ISO 4217 code representing the currency of the amount in the convertedFromValue field. This value is the pre-conversion currency.

This field is only returned if/when currency conversion was applied by eBay.

Occurrence: Conditional

orderSummary.sellerCollectedTaxes.convertedFromValuestring

The monetary amount before any conversion is performed, in the currency specified by the convertedFromCurrency field. This value is the pre-conversion amount. The value field contains the converted amount of this value, in the currency specified by the currency field.

This field is only returned if/when currency conversion was applied by eBay.

Occurrence: Conditional

orderSummary.sellerCollectedTaxes.convertedToCurrencyCurrencyCodeEnum

Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response can only have a value of CNY.
The three-letter ISO 4217 code representing the currency of the amount in the convertedToValue field.

This field is only returned for payouts to bank accounts when currency conversion was applied by eBay.

Occurrence: Conditional

orderSummary.sellerCollectedTaxes.convertedToValuestring

Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response only returns value in CNY.The monetary value after any conversion is performed, in the currency specified by the convertedToCurrency field. This value is the converted amount.

The field is only returned for payouts to bank accounts when currency conversion was applied by eBay.

Occurrence: Conditional

orderSummary.sellerCollectedTaxes.currencyCurrencyCodeEnum

A three-letter ISO 4217 code that indicates the currency of the amount in the value field. This field is always returned with any container using Amount type.

Default: The currency of the authenticated user's country.

Occurrence: Always

orderSummary.sellerCollectedTaxes.exchangeRatestring

The exchange rate used for the monetary conversion. This field shows the exchange rate used to convert the dollar value in the value field from the dollar value in the convertedFromValue field.

For sellers in mainland China, this field shows the exchange rate to convert the dollar value in the value field to the CNY value in the convertedToValue field.

This field is only returned when eBay does a currency version, and a currency conversion is generally needed if the buyer is viewing, or has purchased an item on an international site.

This field is only returned if/when currency conversion was applied by eBay.

Occurrence: Conditional

orderSummary.sellerCollectedTaxes.valuestring

The monetary amount, in the currency specified by the currency field. This field is always returned with any container using Amount type.

Occurrence: Always

orderSummary.shippingAndHandlingCostsAmount

The total amount collected from the buyer to cover shipping and handling for all items in the order.

Occurrence: Conditional

orderSummary.shippingAndHandlingCosts.convertedFromCurrencyCurrencyCodeEnum

The three-letter ISO 4217 code representing the currency of the amount in the convertedFromValue field. This value is the pre-conversion currency.

This field is only returned if/when currency conversion was applied by eBay.

Occurrence: Conditional

orderSummary.shippingAndHandlingCosts.convertedFromValuestring

The monetary amount before any conversion is performed, in the currency specified by the convertedFromCurrency field. This value is the pre-conversion amount. The value field contains the converted amount of this value, in the currency specified by the currency field.

This field is only returned if/when currency conversion was applied by eBay.

Occurrence: Conditional

orderSummary.shippingAndHandlingCosts.convertedToCurrencyCurrencyCodeEnum

Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response can only have a value of CNY.
The three-letter ISO 4217 code representing the currency of the amount in the convertedToValue field.

This field is only returned for payouts to bank accounts when currency conversion was applied by eBay.

Occurrence: Conditional

orderSummary.shippingAndHandlingCosts.convertedToValuestring

Note: This field is only applicable for Mainland China sellers with an available CNY Bank payment instrument. This response only returns value in CNY.The monetary value after any conversion is performed, in the currency specified by the convertedToCurrency field. This value is the converted amount.

The field is only returned for payouts to bank accounts when currency conversion was applied by eBay.

Occurrence: Conditional

orderSummary.shippingAndHandlingCosts.currencyCurrencyCodeEnum

A three-letter ISO 4217 code that indicates the currency of the amount in the value field. This field is always returned with any container using Amount type.

Default: The currency of the authenticated user's country.

Occurrence: Always

orderSummary.shippingAndHandlingCosts.exchangeRatestring

The exchange rate used for the monetary conversion. This field shows the exchange rate used to convert the dollar value in the value field from the dollar value in the convertedFromValue field.

For sellers in mainland China, this field shows the exchange rate to convert the dollar value in the value field to the CNY value in the convertedToValue field.

This field is only returned when eBay does a currency version, and a currency conversion is generally needed if the buyer is viewing, or has purchased an item on an international site.

This field is only returned if/when currency conversion was applied by eBay.

Occurrence: Conditional

orderSummary.shippingAndHandlingCosts.valuestring

The monetary amount, in the currency specified by the currency field. This field is always returned with any container using Amount type.

Occurrence: Always

HTTP status codes

This call can return one of the following HTTP status codes. For an overview of the status codes, see HTTP status codes in Using eBay RESTful APIs.

StatusMeaning
200Success
400Bad Request
404Not found
500Internal Server Error

Error codes

For more on errors, plus the codes of other common errors, see Handling errors.

CodeDomainCategoryMeaning
135000API_FINANCESAPPLICATIONThere was a problem with an eBay internal system or process. Contact eBay developer support for assistance.
135022API_FINANCESREQUESTThe order was not found.
135023API_FINANCESREQUESTInvalid order ID format.

Warnings

This call has no warnings.

Samples

New to making API calls? Please see Making a Call.

Note: Identifiers, such as order IDs or user IDs, and personal data in these samples might be anonymized or may no longer be active on eBay. If necessary, substitute current, relevant eBay data in your requests.

Sample 1: Get earnings for a specific order

This call sample retrieves detailed earnings information for a specific order identified by its order ID. The response includes detailed order-level financial data.

Input

For this sample, the order_id path parameter is used to specify the order for which earnings information is requested. In this example, the order ID is 12-3***7-8***2.

Note: Data is available starting 2024.

GEThttps://apiz.ebay.com/sell/finances/v1/order_earnings/12-3***7-8***2

Output

The output returns summarized earnings and order information for the specified order. The response includes the orderId, orderCreationDate, buyer details, an orderEarningsSummary, and an orderSummary.

Sample 2: Order not found error

This call sample shows the error response returned when the specified order ID does not exist or is not accessible to the seller.

Input

For this sample, the order_id path parameter specifies an order ID that does not exist: 99-9***9-9***9.

GEThttps://apiz.ebay.com/sell/finances/v1/order_earnings/99-9***9-9***9

Output

The output returns a 404 Not Found HTTP status code with an error response. This error can occur if the order ID is not found, the order belongs to a different seller, or the order was created before 2024 (which is outside the supported date range).